Subject: [Enum] Comments on RFC3761bis - draft-ietf-enum-3761bis-02.txt

From: <[email-masked]>
Date: Thu, 6 Mar 2008 12:38:21 +0100

To: the authors of RFC 3761bis ([email-masked], [email-masked] and [email-masked])  

cc: mailinglist IETF ENUM WG ([email-masked]) and mailinglist ITU-T SG2 Q1/2 ([email-masked])

I would like to provide a comment on the draft version of RFC3761bis (draft-ietf-enum-3761bis-02.txt) sent out 2008-02-14 via [email-masked]. I can not attend the IETF meeting next week (71 st IETF in the USA) but hope that this comment anyway can be resloved.

My concern is that the text from RFC 3761 under IANA Consideration about delegation of domains on country level and the relationship between IAB and ITU TSB (and indirect with the RIPE NCC) is missing. All this text, that I think is important, is now deleted in the draft version of RFC 3761bis. Similar kind of text could not be found in the referenced document in clause 6 [SV_GUIDE] (draft-ietf-enum-enumservices-guide-07) of RFC 3761bis.

The missing text of importance is reproduced below taken from RFC 3761:

"5.  IANA Considerations

   RFC 2916 (which this document replaces) requested IANA to delegate

   the E164.ARPA domain following instructions to be provided by the

   IAB.  The domain was delegated according to those instructions.

   Names within this zone are to be delegated to parties according to

   the ITU-T Recommendation E.164.  The names allocated should be

   hierarchic in accordance with ITU-T Recommendation E.164, and the

   codes should be assigned in accordance with that Recommendation.

   IAB is to coordinate with ITU-T TSB if the technical contact for the

   domain e164.arpa is to change, as ITU-T TSB has an operational

   working relationship with this technical contact which needs to be

   reestablished.

   Delegations in the zone e164.arpa (not delegations in delegated

   domains of e164.arpa) should be done after Expert Review, and the

   IESG will appoint a designated expert."

I think it´s important to have this kind of statement in RFC 3761bis. If not I think procedures in the IAB instructions (http://www.ripe.net/enum/instructions.html) to RIPE NCC have to be revised and also the ITU Interim procedures (http://www.itu.int/ITU-T/inr/enum/procedures.html) for ENUM delegations. 

If this text not will be re-entered I also think that RFC 3761bis will in some part obsoletes RFC 3245 (The History and Context of Telephone Number Mapping (ENUM) Operational Decisions: Informational Documents Contributed to ITU-T Study Group 2 (SG2)).

Besides my more important comment above I also have some minor comments on draft RFC 3761bis but I might provide them at a later stage.

Sincerely

Joakim Strålmark
Senior Adviser

Swedish Post and Telecom Agency, PTS
Network Security Department
Security and Addressing

Phone: +46 8 678 55 69
Mobile: +46 70 811 40 64
[email-masked] <mailto:[email-masked]>  
www.pts.se <http://www.pts.se/> 

_______________________________________________
enum mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/enum